import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading GenericToBrotherPJMediaSensorType Converter")

class GenericToBrotherPJMediaSensorType(Converter):

	def Execute(self, myList=[], *args):
		res = ""
		if myList[0] == "None":
			res = 85
		elif myList[0] == "Gap":
			res = 170
		elif myList[0] == "Mark":
			res = 255
		return res




plugin = GenericToBrotherPJMediaSensorType("GenericToBrotherPJMediaSensorType")

store.AddConverter(plugin)